package com.dev.swms.server.model.base;

import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.EqualsBuilder;

public class TransSiteToComp extends Entity {
	private static final long serialVersionUID = 5986360243172469482L;
	private TransSite transSite;
	private Structure company;
	
	@Override
	public boolean equals(final Object other) {
		if (!(other instanceof TransSiteToComp))
			return false;
		TransSiteToComp castOther = (TransSiteToComp) other;
		return new EqualsBuilder().append(transSite,
				castOther.transSite).append(company, castOther.company)
				.isEquals();
	}
	@Override
	public int hashCode() {
		return new HashCodeBuilder().append(transSite).append(company)
				.toHashCode();
	}
	
	public TransSite getTransSite() {
		return transSite;
	}
	public void setTransSite(TransSite transSite) {
		this.transSite = transSite;
	}
	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}
	
	
}
